Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

{need help} convert php5 plugins to php7 plugins

Comments in 'Plugin Development' started by Epicrafter60, May 19, 2016.

Thread Status:
Not open for further replies.
  1. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
    Guys i need your help! I still do not know how to update plugins and convert them to php7 from php5... So I was gonna ask is there another way to update it aside from the api bumper and devtools? if there is, let me know but if you can explain well how to do it with devtools then please tell me because maybe there are things i didn't know so please help me out! Please teach me and I'll try to answer as fast as possible! Thanks :)
  2. MikkiMCPE
    Offline

    MikkiMCPE Active Member

    Joined:
    May 16, 2015
    Posts:
    125
    Minecraft User:
    MikkiMC
  3. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
    it doesn't work with all plugins dude i tried it
  4. MikkiMCPE
    Offline

    MikkiMCPE Active Member

    Joined:
    May 16, 2015
    Posts:
    125
    Minecraft User:
    MikkiMC
    so rewrite it manually
  5. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
    is there a phar for a php7 server but supports php5? except pocketmine, genisys, and imagicalmine?
  6. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
    how to rewrite it? as in everything...?
  7. Inta
    Offline

    Inta Active Member

    Joined:
    Feb 11, 2016
    Posts:
    84
    Minecraft User:
    InstantlyTa
    Follow the last introduction. Oh! And you now how to load plugins without compress it into .phar .
    Load it. See the errors on Console? Google it, fix it, you done.
    MikkiMCPE likes this.
  8. MikkiMCPE
    Offline

    MikkiMCPE Active Member

    Joined:
    May 16, 2015
    Posts:
    125
    Minecraft User:
    MikkiMC
    i use php5 plugin on my php7 server, the problem isnt about php, ur problem is update ur old api to new api on php7 pocketmine
  9. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
  10. Epicrafter60
    Offline

    Epicrafter60 New Member

    Joined:
    Jun 5, 2015
    Posts:
    19
    Minecraft User:
    Epicrafter60
    so how to change the api?
  11. Inta
    Offline

    Inta Active Member

    Joined:
    Feb 11, 2016
    Posts:
    84
    Minecraft User:
    InstantlyTa
    What about changing plugin.yml ?
    PHP:
    nameMyPlugin
    version
    1.0.0
    main
    MyPlugin\Main
    api
    2.0.0
    That's the api. Change it yourself to the PocketMine new API.
Thread Status:
Not open for further replies.

Share This Page

Advertisement